#include <bits/stdc++.h>
using namespace std;
long n,i,j,a[1000],c,tong=0,dem,k,m,h,g;
ifstream f1("CHARNUM.inp");
ofstream f2("CHARNUM.out");
int main()
{
    f1>>n;
    if(n<10){
        f2<<n;
    }
    if(n>=10 && n<100){
        c=2*(n-10+1);
        tong=9+c;
        f2<<tong;
    }
    if(n>=100){
        m=n;
        while(n>0){
            n=n/10;
            i++;
        }
        g=pow(10,i-1);
        h=m-g;
        tong=189;
        k=900;
        for(j=3;j<i;j++){
            dem=j*k+i;
            tong=tong+dem;
            k=k*10;
        }
        f2<<tong+i*h;
    }
    f1.close();
    f2.close();
}
